<?php
/**
 * Open Source - Content Managment System
 * Next Generation v2
 * @Coder:  Mutzii
 * @copyright  Copyright (c) 2012-2013 by Mutzii
 * File: random.class.php
 * @Description:  
      Eine Klasse um zufällige Zahlen zu generieren. War für eine
      andere Website gedacht gewesen. Ist momenten im CMS nicht 
      intigriert.	  
 */ 

 


class Random
{
   function init($value)
   {
       $zahl1 = $this->Random3($this->Random1(),$this->Random2());
	   $zahl2 = $this->Random3($this->Random1(),$this->Random2());
       
	   $zahl1 = $zahl1 * 23;
	   $zahl2 = $zahl2 * 64;
       $zahl3 = $zahl1 + $zahl2;
	  
	   $output = "$value$zahl1$zahl2$zahl3";
       return $output;
   }
   
   function Random1()
   {
      return rand(1,100);
   }
   
   function Random2()
   {
     return rand(1,200);
   }
   
    function Random3($r1,$r2)
   {
     return rand($r1,$r2);
   }
      
}



?>